Bug 5208 - Pass locale environment variables to xsession from KDM
: Pass locale environment variables to xsession from KDM
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 5253
  Show dependency treegraph
 
Reported: 2015-03-18 17:04 MSK by Andrey Bondrov
Modified: 2015-03-23 12:21 MSK (History)
3 users (show)

See Also:
RPM Package: kdebase4-workspace
ISO-related:
Bad POT generating:
Upstream:
denis.silakov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-03-18 17:04:02 MSK
We need to pass locale environment variables to xsession from KDM for future work on locales. Other than that, we need to move drakclock in KDE System Settings from System administration to Hardware category. Also we need to adjust Requires for kdebase4-workspace.
Comment 1 Andrey Bondrov 2015-03-18 17:06:06 MSK
Advisory: 

"1. Pass locale environment variables to xsession from KDM. 
2. Move drakclock in KDE System Settings from System administration to Hardware category. 
3. Add baloo, libkactivities and polkit-kde-agent-1 to kdebase4-workspace's Requires."

https://abf.rosalinux.ru/build_lists/2473963
https://abf.rosalinux.ru/build_lists/2473964
Comment 2 FirstLevel 2015-03-19 10:48:56 MSK
32 bit

plug container and update (GUI), reboot, login, start kde - ok
Move drakclock in KDE System Settings from System administration to Hardware category. - ok

[sergei32@r5-32 ~]$ urpmq --whatrequires baloo
baloo
kdebase4-workspace
[sergei32@r5-32 ~]$

[sergei32@r5-32 ~]$ urpmq --whatrequires libkactivities
kdebase4-runtime
kdebase4-runtime
kdebase4-workspace
libkactivities
[sergei32@r5-32 ~]$ 

[sergei32@r5-32 ~]$ urpmq --whatrequires polkit-kde-agent-1
GConf2
gnome-disk-utility
gnome-panel2
gnome-system-monitor
hplip
kdebase4-runtime
kdebase4-runtime
kdebase4-workspace
mate-applets
mate-system-monitor
polkit-kde-agent-1
rosa-gnome-panel
system-tools-backends2
[sergei32@r5-32 ~]$
Comment 3 FirstLevel 2015-03-19 11:00:31 MSK
64 bit

plug container and update (text), reboot, login, start kde - ok
Move drakclock in KDE System Settings from System administration to Hardware category. - ok


[sergei64@r5-64 ~]$ urpmq --whatrequires baloo
baloo
kdebase4-workspace
[sergei64@r5-64 ~]$ 

[sergei64@r5-64 ~]$ urpmq --whatrequires libkactivities
kdebase4-runtime
kdebase4-runtime
kdebase4-runtime
kdebase4-runtime
kdebase4-workspace
libkactivities
[sergei64@r5-64 ~]$ 


[sergei64@r5-64 ~]$ urpmq --whatrequires  polkit-kde-agent-1
GConf2
GConf2
gnome-disk-utility
gnome-disk-utility
gnome-panel2
gnome-panel2
gnome-system-monitor
gnome-system-monitor
hplip
hplip
kdebase4-runtime
kdebase4-runtime
kdebase4-runtime
kdebase4-runtime
kdebase4-workspace
mate-applets
mate-system-monitor
polkit-kde-agent-1
rosa-gnome-panel
rosa-gnome-panel
system-tools-backends2
[sergei64@r5-64 ~]$
Comment 4 Vladimir Potapov 2015-03-19 16:12:04 MSK
The update sent to expanded testing
***********************************
Comment 5 Vladimir Potapov 2015-03-23 11:58:44 MSK
kdebase4-workspace-4.11.15-6
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2473963/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2473964/x86_64/main/release/
**************************** Advisory ***********************
1. Pass locale environment variables to xsession from KDM. 
2. Move drakclock in KDE System Settings from System administration to Hardware category. 
3. Add baloo, libkactivities and polkit-kde-agent-1 to kdebase4-workspace's Requires
*************************************************************
QA Verified